<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
						xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
						xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" 
						exclude-result-prefixes="scOd"
						>
<xsl:output omit-xml-declaration="yes" indent="no" method="xml"/>
<xsl:template match="/*">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="scOd:resources">
<xsl:choose>
<xsl:when test="@type='zip'">
<includeOd src="{@path}" pathInZip="{@odPath}" removeSettings="{@removeSettings}"/> 
</xsl:when>
<xsl:otherwise>
<file src="{@path}" pathInZip="{@odPath}"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="*">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="text()"/>
	
</xsl:stylesheet>