<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="op table sp xalan office style svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::op:assmntUa)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:assmntUa"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:for-each select="sp:genRef"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNa"/><xsl:value-of select="resultatAgent(concat($vContentAgtNa, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:obj"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:variable name="vName"><xsl:value-of select="local-name()"/></xsl:variable><xsl:variable name="vTitleContent"/><xsl:variable name="vDataContent"><xsl:variable select="concat($vContentAgt, '_Aimp')" name="vContentAgtN11"/><xsl:value-of select="resultatAgent(concat($vContentAgtN11, '/getContent'))" disable-output-escaping="yes"/></xsl:variable><xsl:variable name="vIsTitleMandatory">false</xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($vTitleContent))&gt;0 or string-length(normalize-space($vDataContent))&gt;0"><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:style-name="op_5f_assmntUa_5f__5f_objBox_5f_table" table:name="{$vName}"><table:table-column table:style-name="op_5f_assmntUa_5f__5f_objBox_5f_table.A"/><table:table-row><table:table-cell table:style-name="op_5f_assmntUa_5f__5f_objBox_5f_table.A1"><xsl:if test="string-length(normalize-space($vTitleContent))&gt;0 or $vIsTitleMandatory='true'"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_assmntUa_5f__20__3e__20_objBox_20__3e__20_title"><xsl:value-of disable-output-escaping="yes" select="$vTitleContent"/></text:p></xsl:if><xsl:copy-of select="$vDataContent"/></table:table-cell></table:table-row></table:table></xsl:when><xsl:otherwise><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" text="Bloc ignoré" phase="generation" type="info">Le widget "sm:WBox" de code "objBox" ne possède pas de contenu.</scOd:error></xsl:otherwise></xsl:choose>
		</xsl:for-each>
		<xsl:variable select="concat('@', $idRootAgt, '_meta', '_Akeywds')" name="vContentAgtN15"/><xsl:value-of select="resultatAgent(concat($vContentAgtN15, '/getContent'))" disable-output-escaping="yes"/>
		<xsl:apply-templates mode="N17"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template mode="N17" match="*"><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" text="Element non traité" phase="compilation" type="info">L'élément "<xsl:value-of select="name()"/>" n'a pas été déclaré. Il sera donc ignoré.</scOd:error></xsl:template><!--# intro conclu--><xsl:template mode="N17" match="sp:intro | sp:conclu"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN1b"/><xsl:value-of select="resultatAgent(concat($vContentAgtN1b, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><!--# quiz--><xsl:template mode="N17" match="sp:quiz"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<scOd:ifNotNull xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_assmntUa_5f__20__3e__20_quizTitle">
					<xsl:text>Exercice </xsl:text>
					<xsl:value-of select="count(preceding-sibling::sp:quiz)+1"/>
				</text:p></scOd:ifNotNull>
				<scOd:dataBlock id="db_N2a_{codeAgent('//')}_{generate-id()}" category="solQuiz"><xsl:variable name="vId">
						<xsl:value-of select="concat($vContentAgt, '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</scOd:title><scOd:data>
						<xsl:variable select="concat($vContentAgt, '_Aasw')" name="vContentAgtN3b"/><xsl:value-of select="resultatAgent(concat($vContentAgtN3b, '/getContent'))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN3f"/><xsl:value-of select="resultatAgent(concat($vContentAgtN3f, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><xsl:template match="*"/></xsl:stylesheet>