<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale3" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table op sp office svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vArguments"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:labelTxt"><xsl:variable select="getDialogVar('txtContent')" name="vNewSrc"/><xsl:value-of select="removeDialogVar('txtContent')"/><xsl:choose><xsl:when test="$vNewSrc"><xsl:apply-templates select="$vNewSrc/*"/></xsl:when><xsl:otherwise><xsl:apply-templates/></xsl:otherwise></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="text()"><xsl:copy-of select="."/></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="tGetParam"><xsl:param name="pKey"/><xsl:if test="contains($vArguments, $pKey)"><xsl:value-of select="substring-before(substring-after($vArguments, concat($pKey, '::')), ';')"/></xsl:if></xsl:template><!--# sc:para[not(@role) or @role='']--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:para[not(@role) or @role='']"><xsl:param name="paraStyle"/><xsl:variable name="vFinalStyle"><xsl:variable name="vArgStyle"><xsl:call-template name="tGetParam"><xsl:with-param select="'paraStyle'" name="pKey"/></xsl:call-template></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($paraStyle))&gt;0"><xsl:value-of select="$paraStyle"/></xsl:when><xsl:when test="string-length(normalize-space($vArgStyle))&gt;0"><xsl:value-of select="$vArgStyle"/></xsl:when><xsl:otherwise>op_5f_labelTxt_5f__20__3e__20_paraTag_5f_</xsl:otherwise></xsl:choose></xsl:variable><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="{$vFinalStyle}"><xsl:apply-templates/></text:p></xsl:template><!--# sc:uLink[@role='acr']--><xsl:template match="sc:uLink[@role='acr']">
			<text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_labelTxt_5f__20__3e__20_acr_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N10_{codeAgent('//')}_{generate-id()}" category="acr"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN19"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/shortTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN19))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN19"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN1e"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN1e))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN1e"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN23"/><xsl:value-of select="si($vPathAgentContentN23, resultatAgent(concat($vPathAgentContentN23, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='glos']--><xsl:template match="sc:uLink[@role='glos']">
			<text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_labelTxt_5f__20__3e__20_glos_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N2f_{codeAgent('//')}_{generate-id()}" category="glos"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN38"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN38))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN38"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN38"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN38))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN38"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN3d"/><xsl:value-of select="si($vPathAgentContentN3d, resultatAgent(concat($vPathAgentContentN3d, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='ref']--><xsl:template match="sc:uLink[@role='ref']">
			<text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_labelTxt_5f__20__3e__20_ref_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N49_{codeAgent('//')}_{generate-id()}" category="ref"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN52"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN52))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN52"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN52"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN52))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN52"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN57"/><xsl:value-of select="si($vPathAgentContentN57, resultatAgent(concat($vPathAgentContentN57, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:inlineStyle[@role='quote']--><xsl:template match="sc:inlineStyle[@role='quote']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_quote"><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_quote_20__3e__20_prefix">« </text:span><xsl:apply-templates/><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_quote_20__3e__20_suffix"> »</text:span></text:span></xsl:template><!--# sc:inlineStyle[@role='emp']--><xsl:template match="sc:inlineStyle[@role='emp']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_emp"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineStyle[@role='spec']--><xsl:template match="sc:inlineStyle[@role='spec']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_spec"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineStyle[@role='code']--><xsl:template match="sc:inlineStyle[@role='code']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_code"><xsl:apply-templates/></text:span></xsl:template><!--# sc:textLeaf[@role='mathtex']--><xsl:template match="sc:textLeaf[@role='mathtex']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_labelTxt_5f__20__3e__20_textLeafTag_5f_mathtex"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N6a_', generate-id()))"/></text:span></xsl:template><!--# sc:textLeaf[@role='exp']--><xsl:template match="sc:textLeaf[@role='exp']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_labelTxt_5f__20__3e__20_textLeafTag_5f_exp"><xsl:apply-templates/></text:span></xsl:template><!--# sc:textLeaf[@role='ind']--><xsl:template match="sc:textLeaf[@role='ind']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_labelTxt_5f__20__3e__20_textLeafTag_5f_ind"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineImg[@role='form']--><xsl:template match="sc:inlineImg[@role='form']"><xsl:variable name="vPathAgentContent"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri), '_Ainline')"/></xsl:variable><xsl:value-of select="resultatAgent(concat($vPathAgentContent, '/getContent.inline'))" disable-output-escaping="yes"/></xsl:template><!--# sc:inlineImg[@role='ico']--><xsl:template match="sc:inlineImg[@role='ico']"><xsl:variable name="vPathAgentContent"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri), '_Ainline')"/></xsl:variable><xsl:value-of select="resultatAgent(concat($vPathAgentContent, '/getContent.inline'))" disable-output-escaping="yes"/></xsl:template></xsl:stylesheet>