<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc" version="1.0"><xsl:output omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param name="vComp"/><xsl:variable select="concat(getIdNode(..), '')" name="vIdObj"/><xsl:template match="*"><script type="text/JavaScript">
var <xsl:value-of select="$vIdObj"/> = {

	fId : "<xsl:value-of select="getIdNode(..)"/>",
	fCurSeq : null,
	initSeq : function(pCodeSeq){
	try {
		if(pCodeSeq==null) return;
		if(this.fCurSeq!=null) this.closeSeq();
		this.fCurSeq = pCodeSeq;
		switch(this.fCurSeq) {
case "play" : {
		var vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		for (var i=0; i &lt; vForm.length; i++) {
			vForm.elements[i].disabled = false;
			vForm.elements[i].checked = false;
		}

var vLoadRespSession = "";
for (var i=0; i &lt; vForm.length; i++) {
			var vInput = vForm.elements[i];
			vInput.checked = scServices.assmntMgr.getResponse(this.fId, vLoadRespSession, vInput.value);
		}

		this.setSolution(false);
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_choiceList"), "visible");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_gExpln"), "collapsed");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_score"), "invisible");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_question"), "visible");
<xsl:for-each select="sc:choices/sc:choice">this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_choice"), "visible");
</xsl:for-each><xsl:for-each select="sc:choices/sc:choice">this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_label"), "visible");
</xsl:for-each><xsl:for-each select="sc:choices/sc:choice">this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_chExpln"), "collapsed");
</xsl:for-each>this.setToggleStatus(document.getElementById("<xsl:value-of select="$vIdObj"/>_S_N68"), false);
this.setToggleStatus(document.getElementById("<xsl:value-of select="$vIdObj"/>_S_N83"), false);
var vRespSession = "";
		if(scServices.assmntMgr.getCompletionStatus(this.fId, vRespSession)=="notAttempt") scServices.assmntMgr.setCompletionStatus(this.fId, vRespSession, "attempt");
		this.setResp = function(pInput, pIdx) {
			scServices.assmntMgr.setResponse(this.fId, vRespSession, pIdx, pInput.checked);

			this.computeScore();
			scServices.assmntMgr.commit();
		}				

		this.computeScore = function() {

		this.fMinPts = <xsl:value-of select="si(sc:solution/@pointsIfWrong, sc:solution/@pointsIfWrong, 0)"/>;
		this.fMaxPts = <xsl:value-of select="si(sc:solution/@pointsIfRight, sc:solution/@pointsIfRight , 1)"/>;
		this.fScorePts = true<xsl:for-each select="sc:choices/sc:choice"> &amp;&amp; <xsl:if test="@solution!='checked'">! </xsl:if>vForm.elements[<xsl:value-of select="count(preceding-sibling::sc:choice)"/>].checked</xsl:for-each> ? this.fMaxPts : this.fMinPts;

		//alert("score:::::"+this.fMinPts+" - "+this.fScorePts+" - "+this.fMaxPts);
var vScoreSession = "";
		if(this.fScorePts != null) scServices.assmntMgr.setPts(this.fId, vScoreSession, this.fMinPts, this.fScorePts, this.fMaxPts);

			this.refreshScoresFeedbacks();
		}

if(vRespSession != vLoadRespSession) {
for (var i=0; i &lt; vForm.length; i++) {
			var vInput = vForm.elements[i];
			scServices.assmntMgr.setResponse(this.fId, vRespSession, vInput.value, vInput.checked);
		}
}
this.computeScore();

		scServices.assmntMgr.commit();
		break;
	}

		}
	}catch(e){alert("failed:::"+e)};
	},
	onActionNa6 : function(pButton){
		if(this.isDisabled(pButton)) return;
var vSess="";
scServices.assmntMgr.resetResponses(this.fId, vSess);
scServices.assmntMgr.setPts(this.fId, vSess, null, null, null); 
this.initSeq("play");

		scServices.assmntMgr.commit();
	},
	onActionN68 : function(pButton){
		if(this.isDisabled(pButton)) return;
		var vIsOn = this.isToggleOn(pButton);
		if(vIsOn) {
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_score"), "invisible");

		} else {
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_score"), "visible");

		}
		this.setToggleStatus(pButton, ! vIsOn);
		scServices.assmntMgr.commit();
	},
	onActionN83 : function(pButton){
		if(this.isDisabled(pButton)) return;
		var vIsOn = this.isToggleOn(pButton);
		if(vIsOn) {
this.setSolution(false); this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_gExpln"), "collapsed");
<xsl:for-each select="sc:choices/sc:choice"><xsl:value-of select="$vIdObj"/>.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_chExpln"), "collapsed"); </xsl:for-each>
		} else {
this.setSolution(true); this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_gExpln"), "visible");
<xsl:for-each select="sc:choices/sc:choice"><xsl:value-of select="$vIdObj"/>.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_chExpln"), "visible"); </xsl:for-each>
		}
		this.setToggleStatus(pButton, ! vIsOn);
		scServices.assmntMgr.commit();
	},
	fct_play : function(){
this.initSeq("play");

	},
	fct_reset : function(){
var vSess="";
scServices.assmntMgr.resetResponses(this.fId, vSess);
scServices.assmntMgr.setPts(this.fId, vSess, null, null, null); 
this.initSeq("play");

	},
	fct_displaySol : function(){
this.setSolution(true); <xsl:for-each select="sc:choices/sc:choice"><xsl:value-of select="$vIdObj"/>.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_chExpln"), "visible"); </xsl:for-each>this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_gExpln"), "visible");

	},
	fct_cleanSol : function(){
this.setSolution(false); this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_gExpln"), "collapsed");
<xsl:for-each select="sc:choices/sc:choice"><xsl:value-of select="$vIdObj"/>.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_chExpln"), "collapsed"); </xsl:for-each>
	},
	setMode : function(pElt, pMode){
		if(!pElt) return;
		switch(pMode) {
		case "collapsed" :
			pElt.style.display = "none";
			break;
		case "invisible" :
			pElt.style.display = "";
			pElt.style.visibility = "hidden";
			break;
		case "enabled" : 
			if(pElt.className.indexOf("buttonDisabled")&gt;=0) pElt.className = pElt.className.replace("buttonDisabled", "");
			pElt.setAttribute("href", "#");
		case "disabled" : 
			if(pMode=="disabled") {
				if(pElt.className.indexOf("buttonDisabled")&lt;0) pElt.className = pElt.className+" buttonDisabled";
				pElt.removeAttribute("href");
			}
		default :
			pElt.style.display = "";
			pElt.style.visibility = "";
		}
	},
	isDisabled : function(pButton){
		return pButton==null || pButton.className.indexOf("buttonDisabled")&gt;=0;
	},
	setToggleStatus : function(pButton, pOn){
		if(pButton==null) return;
		if(pOn){ 
			var vIdx = pButton.className.lastIndexOf("toggleButtonOff");
			pButton.className = (vIdx&gt;0 ? pButton.className.substring(0, vIdx) :  pButton.className) + " toggleButtonOn";
		} else {
			var vIdx = pButton.className.lastIndexOf("toggleButtonOn");
			pButton.className = (vIdx&gt;0 ? pButton.className.substring(0, vIdx) :  pButton.className) + " toggleButtonOff";
		}
	},
	isToggleOn : function(pButton){
		return pButton!=null &amp;&amp; pButton.className.indexOf("toggleButtonOn")&gt;=0;
	},
	
	closeSeq: function(){
		vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		switch(this.fCurSeq) {

	case "play" : {

		break;
	}

		}
		this.fCurSeq = null;
	},
	getOnLoadSeq:function() {

			return "play";

	return null;
	},

	refreshScoresFeedbacks : function(){
		

		var vScoreNode = document.getElementById("<xsl:value-of select="$vIdObj"/>_SNc6");

		var vScore = (Math.round((this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts) * 100) * 1)+ 0;
if(vScore &gt; 99 &amp;&amp; true) {
			vScoreNode.innerHTML = "&lt;span&gt;" + vScore + "% de bonnes réponses&lt;/span&gt;";
			vScoreNode.className = "answBest";
		} else if(vScore &gt; 49 &amp;&amp; vScore &lt;= 99 &amp;&amp; true) {
			vScoreNode.innerHTML = "&lt;span&gt;" + vScore + "% de bonnes réponses&lt;/span&gt;";
			vScoreNode.className = "answGood";
		} else if(vScore &lt;= 49 &amp;&amp; true) {
			vScoreNode.innerHTML = "&lt;span&gt;" + vScore + "% de bonnes réponses&lt;/span&gt;";
			vScoreNode.className = "answBad";
		} else  {
			vScoreNode.innerHTML = "";
			vScoreNode.className = "";
		}

	},
	solIsShown : false,
	setSolution : function(pShown){
		var vTR = document.forms.<xsl:value-of select="$vIdObj"/>_form.firstChild;
		while(vTR.nodeType!=1) vTR = vTR.nextSibling;
		vTR = vTR.firstChild;
		while(vTR.nodeType!=1) vTR = vTR.nextSibling;
		vTR = vTR.firstChild;
		while(vTR.nodeType!=1) vTR = vTR.nextSibling;
		if(!pShown &amp;&amp; this.solIsShown) {
			while(vTR) {
				if(vTR.nodeName=="TR") {
					var vOffs = vTR.className.indexOf("assmntSol");
					if(vOffs&gt;=0) vTR.className = vTR.className.substring(0, vOffs) + vTR.className.substring(vOffs+14);
				}
				vTR = vTR.nextSibling;
			}
		} else if(pShown &amp;&amp; ! this.solIsShown) {
<xsl:for-each select="sc:choices/sc:choice">
			while(vTR.nodeName!="TR") vTR = vTR.nextSibling;
			vTR.className = "<xsl:value-of select="si(@solution='checked', 'assmntSolCheck ', 'assmntSolUnche ')"/>" + vTR.className;
			vTR = vTR.nextSibling;
</xsl:for-each>
		}
		this.solIsShown = pShown;
	},
	onLoad: function(){
		this.initSeq(this.getOnLoadSeq()); 
		var vNodeRoot = document.getElementById("<xsl:value-of select="$vIdObj"/>_A");
		vNodeRoot.style.display = "block"; 
	},
	onUnload: function(){
		this.closeSeq();
	},
	loadSortKey: "A",
	unloadSortKey: "A"
};

scOnLoads[scOnLoads.length] = <xsl:value-of select="$vIdObj"/>;
scOnUnloads[scOnUnloads.length] = <xsl:value-of select="$vIdObj"/>;
</script><div style="display:none;" id="{$vIdObj}_A"><div class="bkSolResOut"><div class="bkSolResFra1"><div class="bkSolResFra2"><div class="bkSolResFra3"><div class="bkSolResCo"><div class="btnScore"><a onclick="{$vIdObj}.onActionN68(this); return false;" href="#" title="Calculer le score" class="btnQuiz " id="{$vIdObj}_S_N68"><span class="btnQuizCaption">Score</span></a></div><div class="btnSol"><a onclick="{$vIdObj}.onActionN83(this); return false;" href="#" title="Afficher ou masquer les solutions" class="btnQuiz " id="{$vIdObj}_S_N83"><span class="btnQuizCaption">Solutions</span></a></div><div class="btnReset"><a onclick="{$vIdObj}.onActionNa6(this); return false;" href="#" title="Effacer les réponses" class="btnQuiz "><span class="btnQuizCaption">Recommencer</span></a></div><div class="scoreBox"><div class="score " id="{$vIdObj}_N_score"><div id="{$vIdObj}_SNc6"><span/></div></div></div></div></div></div></div></div><div class="headerQ"><div id="{$vIdObj}_N_question" class="question"><xsl:for-each select="sc:question">[![agent=@<xsl:value-of select="getIdNode(.)"/>/xhtmlContent]!]</xsl:for-each></div></div><div id="{$vIdObj}_N_choiceList"><form id="{$vIdObj}_form" name="{$vIdObj}_form" action=""><table class="choiceList "><tbody><xsl:for-each select="sc:choices/sc:choice"><xsl:variable select="count(preceding-sibling::sc:choice)" name="vIndex"/><xsl:variable select="concat($vIdObj, '_', $vIndex)" name="vIdChoice"/><tr class="choiceList_ch "><td class="choiceList_in "><input onclick="{$vIdObj}.setResp(this, {$vIndex});" value="{$vIndex}" id="{$vIdChoice}" name="{$vIdChoice}" type="checkbox"/></td><td class="choiceList_la "><div id="{$vIdObj}_N{$vIndex}_choice" class="choice"><div id="{$vIdObj}_N{$vIndex}_label" class="label"><xsl:for-each select="sc:choiceLabel">[![agent=@<xsl:value-of select="getIdNode(.)"/>/xhtmlContent]!]</xsl:for-each></div><xsl:for-each select="sc:choiceExplanation"><div class="chExpln " id="{$vIdObj}_N{$vIndex}_chExpln">[![agent=@<xsl:value-of select="getIdNode(.)"/>/xhtmlContent]!]</div></xsl:for-each></div></td></tr></xsl:for-each></tbody></table></form></div><xsl:for-each select="sc:globalExplanation"><div class="gExpln " id="{$vIdObj}_N_gExpln">[![agent=@<xsl:value-of select="getIdNode(.)"/>/xhtmlContent]!]</div></xsl:for-each></div></xsl:template></xsl:stylesheet>