<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc" version="1.0"><xsl:output omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param name="vComp"/><xsl:variable select="concat(getIdNode(..), '_Aeval')" name="vIdObj"/><xsl:template match="*"><script type="text/JavaScript">
var <xsl:value-of select="$vIdObj"/> = {

	fId : "<xsl:value-of select="getIdNode(..)"/>",
	fCurSeq : null,
	initSeq : function(pCodeSeq){
	try {
		if(pCodeSeq==null) return;
		if(this.fCurSeq!=null) this.closeSeq();
		this.fCurSeq = pCodeSeq;
		switch(this.fCurSeq) {
case "init" : {
		var vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		for (var i=0; i &lt; vForm.length; i++) {
			vForm.elements[i].disabled = false;
			vForm.elements[i].checked = false;
		}

var vLoadRespSession = "eval";
for (var i=0; i &lt; vForm.length; i++) {
			var vInput = vForm.elements[i];
			vInput.checked = scServices.assmntMgr.getResponse(this.fId, vLoadRespSession, vInput.value);
		}

		this.setSolution(false);
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_choiceList"), "visible");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_question"), "visible");
<xsl:for-each select="sc:choices/sc:choice">this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_choice"), "visible");
</xsl:for-each><xsl:for-each select="sc:choices/sc:choice">this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_label"), "visible");
</xsl:for-each>var vRespSession = "eval";
		if(scServices.assmntMgr.getCompletionStatus(this.fId, vRespSession)=="notAttempt") scServices.assmntMgr.setCompletionStatus(this.fId, vRespSession, "attempt");
		this.setResp = function(pInput, pIdx) {
			scServices.assmntMgr.setResponse(this.fId, vRespSession, pIdx, pInput.checked);

			this.computeScore();
			scServices.assmntMgr.commit();
		}				

		this.computeScore = function() {

			this.refreshScoresFeedbacks();
		}

if(vRespSession != vLoadRespSession) {
for (var i=0; i &lt; vForm.length; i++) {
			var vInput = vForm.elements[i];
			scServices.assmntMgr.setResponse(this.fId, vRespSession, vInput.value, vInput.checked);
		}
}
this.computeScore();

		scServices.assmntMgr.commit();
		break;
	}
case "read" : {
		var vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		for (var i=0; i &lt; vForm.length; i++) {
			vForm.elements[i].disabled = true;
			vForm.elements[i].checked = false;
		}

var vLoadRespSession = "eval";
for (var i=0; i &lt; vForm.length; i++) {
			var vInput = vForm.elements[i];
			vInput.checked = scServices.assmntMgr.getResponse(this.fId, vLoadRespSession, vInput.value);
		}

		this.setSolution(false);
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_choiceList"), "visible");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_question"), "visible");
<xsl:for-each select="sc:choices/sc:choice">this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_choice"), "visible");
</xsl:for-each><xsl:for-each select="sc:choices/sc:choice">this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_label"), "visible");
</xsl:for-each>this.setResp = function(pInput, pIdx) {

			this.computeScore();
			scServices.assmntMgr.commit();
		}	

		this.computeScore = function() {

			this.refreshScoresFeedbacks();
		}

this.computeScore();

		scServices.assmntMgr.commit();
		break;
	}

		}
	}catch(e){alert("failed:::"+e)};
	},
	setMode : function(pElt, pMode){
		if(!pElt) return;
		switch(pMode) {
		case "collapsed" :
			pElt.style.display = "none";
			break;
		case "invisible" :
			pElt.style.display = "";
			pElt.style.visibility = "hidden";
			break;
		case "enabled" : 
			if(pElt.className.indexOf("buttonDisabled")&gt;=0) pElt.className = pElt.className.replace("buttonDisabled", "");
			pElt.setAttribute("href", "#");
		case "disabled" : 
			if(pMode=="disabled") {
				if(pElt.className.indexOf("buttonDisabled")&lt;0) pElt.className = pElt.className+" buttonDisabled";
				pElt.removeAttribute("href");
			}
		default :
			pElt.style.display = "";
			pElt.style.visibility = "";
		}
	},
	isDisabled : function(pButton){
		return pButton==null || pButton.className.indexOf("buttonDisabled")&gt;=0;
	},
	setToggleStatus : function(pButton, pOn){
		if(pButton==null) return;
		if(pOn){ 
			var vIdx = pButton.className.lastIndexOf("toggleButtonOff");
			pButton.className = (vIdx&gt;0 ? pButton.className.substring(0, vIdx) :  pButton.className) + " toggleButtonOn";
		} else {
			var vIdx = pButton.className.lastIndexOf("toggleButtonOn");
			pButton.className = (vIdx&gt;0 ? pButton.className.substring(0, vIdx) :  pButton.className) + " toggleButtonOff";
		}
	},
	isToggleOn : function(pButton){
		return pButton!=null &amp;&amp; pButton.className.indexOf("toggleButtonOn")&gt;=0;
	},
	
	closeSeq: function(){
		vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		switch(this.fCurSeq) {

	case "init" : {

		break;
	}

	case "read" : {

		break;
	}

		}
		this.fCurSeq = null;
	},
	getOnLoadSeq:function() {

			if(scServices.assmntMgr.getCompletionStatus(this.fId, "eval") != "complete" &amp;&amp; true) return "init";

			return "read";

	return null;
	},

	refreshScoresFeedbacks : function(){
		

	},
	solIsShown : false,
	setSolution : function(pShown){
		var vTR = document.forms.<xsl:value-of select="$vIdObj"/>_form.firstChild;
		while(vTR.nodeType!=1) vTR = vTR.nextSibling;
		vTR = vTR.firstChild;
		while(vTR.nodeType!=1) vTR = vTR.nextSibling;
		vTR = vTR.firstChild;
		while(vTR.nodeType!=1) vTR = vTR.nextSibling;
		if(!pShown &amp;&amp; this.solIsShown) {
			while(vTR) {
				if(vTR.nodeName=="TR") {
					var vOffs = vTR.className.indexOf("assmntSol");
					if(vOffs&gt;=0) vTR.className = vTR.className.substring(0, vOffs) + vTR.className.substring(vOffs+14);
				}
				vTR = vTR.nextSibling;
			}
		} else if(pShown &amp;&amp; ! this.solIsShown) {
<xsl:for-each select="sc:choices/sc:choice">
			while(vTR.nodeName!="TR") vTR = vTR.nextSibling;
			vTR.className = "<xsl:value-of select="si(@solution='checked', 'assmntSolCheck ', 'assmntSolUnche ')"/>" + vTR.className;
			vTR = vTR.nextSibling;
</xsl:for-each>
		}
		this.solIsShown = pShown;
	},
	onLoad: function(){
		this.initSeq(this.getOnLoadSeq()); 
		var vNodeRoot = document.getElementById("<xsl:value-of select="$vIdObj"/>_A");
		vNodeRoot.style.display = "block"; 
	},
	onUnload: function(){
		this.closeSeq();
	},
	loadSortKey: "A",
	unloadSortKey: "A"
};

scOnLoads[scOnLoads.length] = <xsl:value-of select="$vIdObj"/>;
scOnUnloads[scOnUnloads.length] = <xsl:value-of select="$vIdObj"/>;
</script><div style="display:none;" id="{$vIdObj}_A"><div class="headerQ"><div class="question" id="{$vIdObj}_N_question"><xsl:for-each select="sc:question">[![agent=@<xsl:value-of select="getIdNode(.)"/>/xhtmlContent]!]</xsl:for-each></div></div><div id="{$vIdObj}_N_choiceList"><form id="{$vIdObj}_form" name="{$vIdObj}_form" action=""><table class="choiceList "><tbody><xsl:for-each select="sc:choices/sc:choice"><xsl:variable select="count(preceding-sibling::sc:choice)" name="vIndex"/><xsl:variable select="concat($vIdObj, '_', $vIndex)" name="vIdChoice"/><tr class="choiceList_ch "><td class="choiceList_in "><input onclick="{$vIdObj}.setResp(this, {$vIndex});" value="{$vIndex}" id="{$vIdChoice}" name="{$vIdChoice}" type="checkbox"/></td><td class="choiceList_la "><div class="choice" id="{$vIdObj}_N{$vIndex}_choice"><div class="label" id="{$vIdObj}_N{$vIndex}_label"><xsl:for-each select="sc:choiceLabel">[![agent=@<xsl:value-of select="getIdNode(.)"/>/xhtmlContent]!]</xsl:for-each></div></div></td></tr></xsl:for-each></tbody></table></form></div></div></xsl:template></xsl:stylesheet>