<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat" xmlns:xalan="http://xml.apache.org/xalan" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" extension-element-prefixes="repeat" exclude-result-prefixes="sc xalan java" version="1.0"><xsl:output omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param name="vComp"/><xsl:variable select="concat(getIdNode(..), '_Areset')" name="vIdObj"/><xsl:variable select="sc:label" name="vLabels"/><xsl:variable select="count(sc:label)" name="vCountMaxLabels"/><xsl:template match="*"><script type="text/JavaScript">
var <xsl:value-of select="$vIdObj"/> = {

	fId : "<xsl:value-of select="getIdNode(..)"/>",
	fCurSeq : null,
	initSeq : function(pCodeSeq){
	try {
		if(pCodeSeq==null) return;
		if(this.fCurSeq!=null) this.closeSeq();
		this.fCurSeq = pCodeSeq;
		switch(this.fCurSeq) {
case "" : {

	this.refreshResult = function(pDisplay){
		if(pDisplay) this.fResultDisplay = pDisplay;
		if(this.fResultDisplay == "none") for(var i=this.fLabels.length -1; i &gt;=0; i--)  scDragMgr.helpers.delClass(this.fLabels[i],"assmntResult_Right","assmntResult_Wrong");
		else for(var i=this.fLabels.length -1; i &gt;=0; i--) {
			var vLabel = this.fLabels[i];

			var vOldClass = (vLabel.sO == vLabel.rO &amp;&amp; vLabel.sG == vLabel.rG) ? "assmntResult_Wrong" : "assmntResult_Right";
			var vNewClass = (vLabel.sO == vLabel.rO &amp;&amp; vLabel.sG == vLabel.rG) ? "assmntResult_Right" : "assmntResult_Wrong";

			scDragMgr.helpers.switchClass(vLabel, vOldClass, vNewClass);
		}
	};
var vLoadRespSession = null;

		for(var i = this.fLabels.length - 1; i &gt;=0; i--) scDragMgr.setDraggable(this.fLabels[i], true);
		this.load(vLoadRespSession);
		this.synch();
	this.fResultDisplay = "none";

this.fRespSession = null;

		this.computeScore = function() {

		this.refreshScoresFeedbacks();
		this.refreshResult();
	}


		this.computeScore();

		scServices.assmntMgr.commit();
		break;
	}

		}
	}catch(e){alert("failed:::"+e)};
	},
	fct_reset : function(){
scServices.assmntMgr.setCompletionStatus(this.fId, "eval", "notAttempt"); 
var vSess="eval";
scServices.assmntMgr.resetResponses(this.fId, vSess);
scServices.assmntMgr.setPts(this.fId, vSess, null, null, null); 

	},
	setMode : function(pElt, pMode){
		if(!pElt) return;
		switch(pMode) {
		case "collapsed" :
			pElt.style.display = "none";
			break;
		case "invisible" :
			pElt.style.display = "";
			pElt.style.visibility = "hidden";
			break;
		case "enabled" : 
			if(pElt.className.indexOf("buttonDisabled")&gt;=0) pElt.className = pElt.className.replace("buttonDisabled", "");
			pElt.setAttribute("href", "#");
		case "disabled" : 
			if(pMode=="disabled") {
				if(pElt.className.indexOf("buttonDisabled")&lt;0) pElt.className = pElt.className+" buttonDisabled";
				pElt.removeAttribute("href");
			}
		default :
			pElt.style.display = "";
			pElt.style.visibility = "";
		}
	},
	isDisabled : function(pButton){
		return pButton==null || pButton.className.indexOf("buttonDisabled")&gt;=0;
	},
	setToggleStatus : function(pButton, pOn){
		if(pButton==null) return;
		if(pOn){ 
			var vIdx = pButton.className.lastIndexOf("toggleButtonOff");
			pButton.className = (vIdx&gt;0 ? pButton.className.substring(0, vIdx) :  pButton.className) + " toggleButtonOn";
		} else {
			var vIdx = pButton.className.lastIndexOf("toggleButtonOn");
			pButton.className = (vIdx&gt;0 ? pButton.className.substring(0, vIdx) :  pButton.className) + " toggleButtonOff";
		}
	},
	isToggleOn : function(pButton){
		return pButton!=null &amp;&amp; pButton.className.indexOf("toggleButtonOn")&gt;=0;
	},
	
	closeSeq: function(){
		vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		switch(this.fCurSeq) {
case "" : {
		this.refreshResult("none");

		break;
	}

		}
		this.fCurSeq = null;
	},
	getOnLoadSeq:function() {

			return "";

	return null;
	},

	saveResp:function(pSession){
		if(pSession==null) return;
		var vLabel = this.fLabels[0];
		var vStr = "[{g:" + vLabel.rG + ",offs:" + vLabel.rO + "," + scDragMgr.saveLabelPos(vLabel) + "}";
		for(var i=1, len=this.fLabels.length; i &lt; len; i++) {
			vLabel = this.fLabels[i];
			vStr += ",{g:" + vLabel.rG + ",offs:" + vLabel.rO + "," + scDragMgr.saveLabelPos(vLabel) + "}";
		}
		vStr+="]";
		scServices.assmntMgr.setResponse(this.fId, pSession, "pos", vStr);
	},
	load:function(pSession){
		var vStr = (pSession!=null) ? scServices.assmntMgr.getResponse(this.fId, pSession, "pos") : null;
		for(var i=this.fGroupsC.length -1; i &gt;=0; i--) {
			var vGroup = this.fGroupsC[i];
			for(var j=vGroup.length-1; j &gt;=0; j--) vGroup[j].labelsToAdd = [];
		}
		if(vStr) {
						var vList = eval(vStr);
			for(var i=0, len=this.fLabels.length; i &lt; len; i++) {
				var vLabelToAdd = vList[i];
				vLabelToAdd.label = this.fLabels[i];
				var vGroupC = this.fGroupsC[vLabelToAdd.g];
				if(vGroupC.length == 1) vGroupC[0].labelsToAdd[vLabelToAdd.offs] = vLabelToAdd; 
				else vGroupC[vLabelToAdd.offs].labelsToAdd.push(vLabelToAdd);
			}
		} else {
						var vBasketC = this.fGroupsC[0];
			for(var i=vBasketC.length-1; i &gt;=0; i--) for(var j=0, vLen=vBasketC[i]._Labels.length; j &lt; vLen; j++) vBasketC[i].labelsToAdd.push({label:vBasketC[i]._Labels[j]});
		}
		scDragMgr.repopulateContainers("<xsl:value-of select="$vIdObj"/>");
	},
	synch:function(){
		for(var i=this.fGroupsC.length -1; i &gt;=0; i--) {
			var vGroup = this.fGroupsC[i];
			var vOffset = 0;
			for(var j=0, vLenJ=vGroup.length; j &lt; vLenJ; j++) {
				var vItems = scDragMgr.getLabels(vGroup[j]);
				var vLenK = vItems.length;
								if(vLenK == 0) vOffset++;
				else for(var k=0; k &lt; vLenK; k++) {
					vItems[k].rG = i;
					vItems[k].rO = vOffset++;
				}
			}
		}
	},
	refreshScoresFeedbacks : function(){

	},
	onLoad: function(){
	try{
		var onChange = function() {
<xsl:value-of select="$vIdObj"/>.synch();
<xsl:value-of select="$vIdObj"/>.computeScore();
<xsl:value-of select="$vIdObj"/>.saveResp(<xsl:value-of select="$vIdObj"/>.fRespSession);
			scServices.assmntMgr.commit();
		}
		this.fLabels = [];
		var vLabel, vC;
this.fGroupsC = [scDragMgr.getContainers("<xsl:value-of select="$vIdObj"/>", document.getElementById("<xsl:value-of select="$vIdObj"/>_L"))];
		for(var i = this.fGroupsC[0].length-1; i &gt;=0; i--) this.fGroupsC[0][i]._Labels = scDragMgr.getLabels(this.fGroupsC[0][i]);
		this.initSeq(this.getOnLoadSeq()); 
		var vNodeRoot = document.getElementById("<xsl:value-of select="$vIdObj"/>_A");
		vNodeRoot.style.display = "block"; 
	}catch(e){console.log(e);}
	},
	onUnload: function(){
		this.closeSeq();
	},
	loadSortKey: "A",
	unloadSortKey: "A"
};

scOnLoads[scOnLoads.length] = <xsl:value-of select="$vIdObj"/>;
scOnUnloads[scOnUnloads.length] = <xsl:value-of select="$vIdObj"/>;
</script><div style="display:none;" id="{$vIdObj}_A"/></xsl:template></xsl:stylesheet>