<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale3" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="op java sp " >

<xsl:param name="vSpace"/>
<xsl:param name="vCode"/>

<xsl:template match="/sc:item">
<xsl:apply-templates select="op:ue"/>
</xsl:template>

<xsl:template match="sc:item/op:ue">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:ueM"><xsl:value-of select="sp:title"/></xsl:for-each></title>
<xsl:apply-templates/>
</xsl:template>






				
			



				
			
				
			
				
			
				
			
				
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txt//sc:uLink[@role='docLnk']">
<attrRef nm="op_txt:uLinkTag:docLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txt//sc:uLink[@role='resLnk']">
<attrRef nm="op_txt:uLinkTag:resLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txt//sc:inlineImg[@role='form']">
<attrRef nm="op_txt:inlineImgTag:form" refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txt//sc:inlineImg[@role='ico']">
<attrRef nm="op_txt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:img[@sc:refUri]">
<attrRef nm="op_res:img" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:tab[@sc:refUri]">
<attrRef nm="op_res:tab" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:graph[@sc:refUri]">
<attrRef nm="op_res:graph" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:vid[@sc:refUri]">
<attrRef nm="op_res:vid" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:int[@sc:refUri]">
<attrRef nm="op_res:int" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:zoom[@sc:refUri]">
<attrRef nm="op_res:zoom" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:form[@sc:refUri]">
<attrRef nm="op_res:form" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>


				
			
				
			
				
			
				
			
				
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:qTxt//sc:uLink[@role='docLnk']">
<attrRef nm="op_qTxt:uLinkTag:docLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:qTxt//sc:uLink[@role='resLnk']">
<attrRef nm="op_qTxt:uLinkTag:resLnk" refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:qTxt//sc:inlineImg[@role='form']">
<attrRef nm="op_qTxt:inlineImgTag:form" refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:qTxt//sc:inlineImg[@role='ico']">
<attrRef nm="op_qTxt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes/sp:res[@sc:refUri]">
<attrRef nm="op_txtRes:res" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>










				
			


<xsl:template match="text()|@*"/>
</xsl:stylesheet>