<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale3" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table op sp office svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vArguments"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:clozeTxt"><xsl:variable select="getDialogVar('txtContent')" name="vNewSrc"/><xsl:value-of select="removeDialogVar('txtContent')"/><xsl:choose><xsl:when test="$vNewSrc"><xsl:apply-templates select="$vNewSrc/*"/></xsl:when><xsl:otherwise><xsl:apply-templates/></xsl:otherwise></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="text()"><xsl:copy-of select="."/></xsl:template>
		<!--# sc:textLeaf[@role='gap']--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:textLeaf[@role='gap']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_textLeafTagAsGap_5f_gap"><xsl:apply-templates/></text:span></xsl:template>
	<xsl:template name="tGetParam"><xsl:param name="pKey"/><xsl:if test="contains($vArguments, $pKey)"><xsl:value-of select="substring-before(substring-after($vArguments, concat($pKey, '::')), ';')"/></xsl:if></xsl:template><!--# sc:para[not(@role) or @role='']--><xsl:template match="sc:para[not(@role) or @role='']"><xsl:param name="paraStyle"/><xsl:variable name="vFinalStyle"><xsl:variable name="vArgStyle"><xsl:call-template name="tGetParam"><xsl:with-param select="'paraStyle'" name="pKey"/></xsl:call-template></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($paraStyle))&gt;0"><xsl:value-of select="$paraStyle"/></xsl:when><xsl:when test="string-length(normalize-space($vArgStyle))&gt;0"><xsl:value-of select="$vArgStyle"/></xsl:when><xsl:otherwise>op_5f_clozeTxt_5f_asw_5f__20__3e__20_paraTag_5f_</xsl:otherwise></xsl:choose></xsl:variable><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="{$vFinalStyle}"><xsl:apply-templates/></text:p></xsl:template>
			<!--# sc:itemizedList[not(@role) or @role='']--><xsl:template match="sc:itemizedList[not(@role) or @role='']"><text:list xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_list"><xsl:apply-templates/></text:list></xsl:template><xsl:template match="sc:itemizedList[not(@role) or @role='']/sc:member"><xsl:variable name="vLevel00"><xsl:value-of select="count(ancestor-or-self::sc:itemizedList[not(@role) or @role=''])"/></xsl:variable><xsl:variable name="vLevel"><xsl:value-of select="count(ancestor-or-self::sc:member)"/></xsl:variable><xsl:variable name="vStyle"><xsl:call-template name="sc:itemizedList[not(@role) or @role='']_getStyle"><xsl:with-param select="$vLevel" name="pLevel"/></xsl:call-template></xsl:variable><text:list-item xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"><xsl:if test="count(preceding-sibling::sc:member)=0"><xsl:attribute name="text:start-value">1</xsl:attribute></xsl:if><text:p text:style-name="{$vStyle}"><xsl:apply-templates/></text:p></text:list-item></xsl:template><xsl:template match="sc:itemizedList[not(@role) or @role='']/sc:listItem"><xsl:variable name="vLevel00"><xsl:value-of select="count(ancestor-or-self::sc:itemizedList[not(@role) or @role=''])"/></xsl:variable><xsl:variable name="vLevel"><xsl:value-of select="count(ancestor-or-self::sc:listItem)"/></xsl:variable><xsl:variable name="vStyle"><xsl:call-template name="sc:itemizedList[not(@role) or @role='']_getStyle"><xsl:with-param select="$vLevel" name="pLevel"/></xsl:call-template></xsl:variable><text:list-item xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"><xsl:if test="count(preceding-sibling::sc:listItem)=0"><xsl:attribute name="text:start-value">1</xsl:attribute></xsl:if><xsl:apply-templates><xsl:with-param select="$vStyle" name="paraStyle"/></xsl:apply-templates></text:list-item></xsl:template><xsl:template name="sc:itemizedList[not(@role) or @role='']_getStyle"><xsl:param name="pLevel"/><xsl:choose><xsl:when test="$pLevel=10">op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_10</xsl:when><xsl:when test="$pLevel=9">op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_9</xsl:when><xsl:when test="$pLevel=8">op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_8</xsl:when><xsl:when test="$pLevel=7">op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_7</xsl:when><xsl:when test="$pLevel=6">op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_6</xsl:when><xsl:when test="$pLevel=5">op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_5</xsl:when><xsl:when test="$pLevel=4">op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_4</xsl:when><xsl:when test="$pLevel=3">op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_3</xsl:when><xsl:when test="$pLevel=2">op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_2</xsl:when><xsl:when test="$pLevel=1">op_5f_clozeTxt_5f_asw_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_1</xsl:when></xsl:choose></xsl:template>
			<!--# sc:orderedList[not(@role) or @role='']--><xsl:template match="sc:orderedList[not(@role) or @role='']"><text:list xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_list"><xsl:apply-templates/></text:list></xsl:template><xsl:template match="sc:orderedList[not(@role) or @role='']/sc:member"><xsl:variable name="vLevel00"><xsl:value-of select="count(ancestor-or-self::sc:orderedList[not(@role) or @role=''])"/></xsl:variable><xsl:variable name="vLevel"><xsl:value-of select="count(ancestor-or-self::sc:member)"/></xsl:variable><xsl:variable name="vStyle"><xsl:call-template name="sc:orderedList[not(@role) or @role='']_getStyle"><xsl:with-param select="$vLevel" name="pLevel"/></xsl:call-template></xsl:variable><text:list-item xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"><xsl:if test="count(preceding-sibling::sc:member)=0"><xsl:attribute name="text:start-value">1</xsl:attribute></xsl:if><text:p text:style-name="{$vStyle}"><xsl:apply-templates/></text:p></text:list-item></xsl:template><xsl:template match="sc:orderedList[not(@role) or @role='']/sc:listItem"><xsl:variable name="vLevel00"><xsl:value-of select="count(ancestor-or-self::sc:orderedList[not(@role) or @role=''])"/></xsl:variable><xsl:variable name="vLevel"><xsl:value-of select="count(ancestor-or-self::sc:listItem)"/></xsl:variable><xsl:variable name="vStyle"><xsl:call-template name="sc:orderedList[not(@role) or @role='']_getStyle"><xsl:with-param select="$vLevel" name="pLevel"/></xsl:call-template></xsl:variable><text:list-item xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"><xsl:if test="count(preceding-sibling::sc:listItem)=0"><xsl:attribute name="text:start-value">1</xsl:attribute></xsl:if><xsl:apply-templates><xsl:with-param select="$vStyle" name="paraStyle"/></xsl:apply-templates></text:list-item></xsl:template><xsl:template name="sc:orderedList[not(@role) or @role='']_getStyle"><xsl:param name="pLevel"/><xsl:choose><xsl:when test="$pLevel=10">op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_10</xsl:when><xsl:when test="$pLevel=9">op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_9</xsl:when><xsl:when test="$pLevel=8">op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_8</xsl:when><xsl:when test="$pLevel=7">op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_7</xsl:when><xsl:when test="$pLevel=6">op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_6</xsl:when><xsl:when test="$pLevel=5">op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_5</xsl:when><xsl:when test="$pLevel=4">op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_4</xsl:when><xsl:when test="$pLevel=3">op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_3</xsl:when><xsl:when test="$pLevel=2">op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_2</xsl:when><xsl:when test="$pLevel=1">op_5f_clozeTxt_5f_asw_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_1</xsl:when></xsl:choose></xsl:template>
		<!--# sc:uLink[not(@role) or @role='']--><xsl:template match="sc:uLink[not(@role) or @role='']">
			<text:a xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xlink:type="simple"><xsl:attribute name="xlink:href">
					<xsl:value-of select="@url"/>
				</xsl:attribute><text:span text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_url_20__3e__20_inline">
					<xsl:apply-templates/>
				</text:span></text:a>
			<scOd:condition xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xpath="string-length(text:note/text:note-body/text:p)&gt;0"><scOd:idBlock categ="cNote"><text:note xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:note-class="footnote" text:id="[scOd[idbId]scOd]"><text:note-citation><scOd:idbPosition/></text:note-citation><text:note-body>
				<text:p text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_urlFootNote">
					<xsl:value-of select="si(@url!=normalize-space(text()), @url)"/>
				</text:p>
			</text:note-body></text:note></scOd:idBlock></scOd:condition>
		</xsl:template><!--# sc:uLink[@role='acr']--><xsl:template match="sc:uLink[@role='acr']">
			<text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_acr_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N39_{codeAgent('//')}_{generate-id()}" category="acr"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN42"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/shortTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN42))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN42"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN47"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN47))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN47"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN4c"/><xsl:value-of select="si($vPathAgentContentN4c, resultatAgent(concat($vPathAgentContentN4c, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='glos']--><xsl:template match="sc:uLink[@role='glos']">
			<text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_glos_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N58_{codeAgent('//')}_{generate-id()}" category="glos"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN61"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN61))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN61"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN61"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN61))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN61"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN66"/><xsl:value-of select="si($vPathAgentContentN66, resultatAgent(concat($vPathAgentContentN66, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='bib']--><xsl:template match="sc:uLink[@role='bib']">
			<text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_bib_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N72_{codeAgent('//')}_{generate-id()}" category="bib"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN7b"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN7b))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN7b"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN80"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/shortTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN80))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN80"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN85"/><xsl:value-of select="si($vPathAgentContentN85, resultatAgent(concat($vPathAgentContentN85, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='ref']--><xsl:template match="sc:uLink[@role='ref']">
			<text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_ref_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N91_{codeAgent('//')}_{generate-id()}" category="ref"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN9a"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN9a))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN9a"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN9a"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN9a))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN9a"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN9f"/><xsl:value-of select="si($vPathAgentContentN9f, resultatAgent(concat($vPathAgentContentN9f, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='docLnk']--><xsl:template match="sc:uLink[@role='docLnk']">
			<text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_docLnk_20__3e__20_inline">
				<xsl:apply-templates/>
				<xsl:text> (</xsl:text>
				<xsl:variable name="vTitleNad"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/shortTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleNad))&gt;0"><xsl:text/><xsl:value-of select="$vTitleNad"/><xsl:text/></xsl:if>
				<xsl:text>)</xsl:text>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='resLnk']--><xsl:template match="sc:uLink[@role='resLnk']">
			<text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_resLnk_20__3e__20_inline">
				<xsl:apply-templates/>
			</text:span>
			<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_Nba_{codeAgent('//')}_{generate-id()}" category="res"><xsl:variable name="vId">
					<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
				</xsl:variable><xsl:variable name="vSortKey">
					<xsl:variable name="vTitleNc3"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleNc3))&gt;0"><xsl:text/><xsl:value-of select="$vTitleNc3"/><xsl:text/></xsl:if>
				</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
					<xsl:variable name="vTitleNc3"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleNc3))&gt;0"><xsl:text/><xsl:value-of select="$vTitleNc3"/><xsl:text/></xsl:if>
				</scOd:title><scOd:data>
					<xsl:variable select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')" name="vPathAgentContentNc8"/><xsl:value-of select="resultatAgent(concat($vPathAgentContentNc8, '/getContent'))" disable-output-escaping="yes"/>
				</scOd:data></scOd:dataBlock>
		</xsl:template><!--# sc:inlineStyle[@role='quote']--><xsl:template match="sc:inlineStyle[@role='quote']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_inlineStyleTag_5f_quote"><text:span text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_inlineStyleTag_5f_quote_20__3e__20_prefix">« </text:span><xsl:apply-templates/><text:span text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_inlineStyleTag_5f_quote_20__3e__20_suffix"> »</text:span></text:span></xsl:template><!--# sc:inlineStyle[@role='emp']--><xsl:template match="sc:inlineStyle[@role='emp']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_inlineStyleTag_5f_emp"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineStyle[@role='spec']--><xsl:template match="sc:inlineStyle[@role='spec']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_inlineStyleTag_5f_spec"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineStyle[@role='representative']--><xsl:template match="sc:inlineStyle[@role='representative']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_inlineStyleTag_5f_representative"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineStyle[@role='code']--><xsl:template match="sc:inlineStyle[@role='code']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_inlineStyleTag_5f_code"><xsl:apply-templates/></text:span></xsl:template><!--# sc:textLeaf[@role='mathtex']--><xsl:template match="sc:textLeaf[@role='mathtex']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_textLeafTag_5f_mathtex"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_Ndc_', generate-id()))"/></text:span></xsl:template><!--# sc:textLeaf[@role='exp']--><xsl:template match="sc:textLeaf[@role='exp']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_textLeafTag_5f_exp"><xsl:apply-templates/></text:span></xsl:template><!--# sc:textLeaf[@role='ind']--><xsl:template match="sc:textLeaf[@role='ind']"><text:span xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_clozeTxt_5f_asw_5f__20__3e__20_textLeafTag_5f_ind"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineImg[@role='form']--><xsl:template match="sc:inlineImg[@role='form']"><xsl:variable name="vPathAgentContent"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri), '_Ainline')"/></xsl:variable><xsl:value-of select="resultatAgent(concat($vPathAgentContent, '/getContent.inline'))" disable-output-escaping="yes"/></xsl:template><!--# sc:inlineImg[@role='ico']--><xsl:template match="sc:inlineImg[@role='ico']"><xsl:variable name="vPathAgentContent"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri), '_Ainline')"/></xsl:variable><xsl:value-of select="resultatAgent(concat($vPathAgentContent, '/getContent.inline'))" disable-output-escaping="yes"/></xsl:template></xsl:stylesheet>