<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="op table sp xalan office style svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::op:courseUa)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:for-each select="sp:genRef"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNa"/><xsl:value-of select="resultatAgent(concat($vContentAgtNa, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:obj"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:variable name="vName"><xsl:value-of select="local-name()"/></xsl:variable><xsl:variable name="vTitleContent"/><xsl:variable name="vDataContent"><xsl:variable select="concat($vContentAgt, '_Aimp')" name="vContentAgtN11"/><xsl:value-of select="resultatAgent(concat($vContentAgtN11, '/getContent'))" disable-output-escaping="yes"/></xsl:variable><xsl:variable name="vIsTitleMandatory">false</xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($vTitleContent))&gt;0 or string-length(normalize-space($vDataContent))&gt;0"><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:style-name="op_5f_courseUa_5f__5f_objBox_5f_table" table:name="{$vName}"><table:table-column table:style-name="op_5f_courseUa_5f__5f_objBox_5f_table.A"/><table:table-row><table:table-cell table:style-name="op_5f_courseUa_5f__5f_objBox_5f_table.A1"><xsl:if test="string-length(normalize-space($vTitleContent))&gt;0 or $vIsTitleMandatory='true'"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_courseUa_5f__20__3e__20_objBox_20__3e__20_title"><xsl:value-of disable-output-escaping="yes" select="$vTitleContent"/></text:p></xsl:if><xsl:copy-of select="$vDataContent"/></table:table-cell></table:table-row></table:table></xsl:when><xsl:otherwise><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" text="Bloc ignoré" phase="generation" type="info">Le widget "sm:WBox" de code "objBox" ne possède pas de contenu.</scOd:error></xsl:otherwise></xsl:choose>
		</xsl:for-each>
		<xsl:variable select="concat('@', $idRootAgt, '_meta', '_Akeywds')" name="vContentAgtN15"/><xsl:value-of select="resultatAgent(concat($vContentAgtN15, '/getContent'))" disable-output-escaping="yes"/>
		<xsl:apply-templates mode="N17"/>
		<xsl:choose>
			<xsl:when test="sp:quest"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_courseUa_5f__20__3e__20_emptyParagraph">
					
				</text:p></xsl:when>
		</xsl:choose>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template mode="N17" match="*"><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" text="Element non traité" phase="compilation" type="info">L'élément "<xsl:value-of select="name()"/>" n'a pas été déclaré. Il sera donc ignoré.</scOd:error></xsl:template><!--# intro--><xsl:template mode="N17" match="sp:intro"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N1b_', generate-id()))"/>
			</xsl:template><!--# courseUc--><xsl:template mode="N17" match="sp:courseUc"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<scOd:condition xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xpath="true()"><scOd:section><scOd:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scOd:title><scOd:content><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN2d"/><xsl:value-of select="resultatAgent(concat($vContentAgtN2d, '/getContent'))" disable-output-escaping="yes"/></scOd:content></scOd:section></scOd:condition>
			</xsl:template><!--# practUc--><xsl:template mode="N17" match="sp:practUc"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<scOd:condition xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xpath="true()"><scOd:section><scOd:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')">Activité de TD</xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scOd:title><scOd:content><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN3c"/><xsl:value-of select="resultatAgent(concat($vContentAgtN3c, '/getContent'))" disable-output-escaping="yes"/></scOd:content></scOd:section></scOd:condition>
			</xsl:template><!--# trainUc--><xsl:template mode="N17" match="sp:trainUc"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<scOd:condition xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xpath="true()"><scOd:section><scOd:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')">Auto-évaluation</xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scOd:title><scOd:content><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN4b"/><xsl:value-of select="resultatAgent(concat($vContentAgtN4b, '/getContent'))" disable-output-escaping="yes"/></scOd:content></scOd:section></scOd:condition>
			</xsl:template><!--# conclu--><xsl:template mode="N17" match="sp:conclu"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N51_', generate-id()))"/>
			</xsl:template><!--# quest--><xsl:template mode="N17" match="sp:quest"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N5c_{codeAgent('//')}_{generate-id()}" category="synth"><xsl:variable name="vId">
						<xsl:value-of select="concat($vContentAgt, '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</scOd:title><scOd:data>
						<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN6d"/><xsl:value-of select="resultatAgent(concat($vContentAgtN6d, '/getContent'))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</xsl:template><xsl:template match="*"/></xsl:stylesheet>