<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="op table sp xalan office style svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::op:practUc)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:practUc"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:apply-templates mode="N8"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N8" match="*"><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" text="Element non traité" phase="compilation" type="info">L'élément "<xsl:value-of select="name()"/>" n'a pas été déclaré. Il sera donc ignoré.</scOd:error></xsl:template><!--# desc--><xsl:template mode="N8" match="sp:desc"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:variable select="concat('@', getIdNode(ancestor-or-self::sp:*[1]), '_meta', '')" name="vPartAgtNc"/><xsl:value-of select="resultatAgent(concat($vPartAgtNc, '/getContent'))" disable-output-escaping="yes"/>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNe"/><xsl:value-of select="resultatAgent(concat($vContentAgtNe, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><!--# quest--><xsl:template mode="N8" match="sp:quest"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<scOd:ifNotNull xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_practUc_5f__20__3e__20_questTitle">
					<xsl:text>Question </xsl:text>
					<xsl:value-of select="si(count(../sp:quest)&gt;1, count(preceding-sibling::sp:quest)+1)"/>
				</text:p></scOd:ifNotNull>
				<scOd:dataBlock id="db_N1d_{codeAgent('//')}_{generate-id()}" category="sol"><xsl:variable name="vId">
						<xsl:value-of select="concat($vContentAgt, '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</scOd:title><scOd:data>
						<xsl:variable select="concat($vContentAgt, '_Aasw')" name="vContentAgtN2e"/><xsl:value-of select="resultatAgent(concat($vContentAgtN2e, '/getContent'))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN32"/><xsl:value-of select="resultatAgent(concat($vContentAgtN32, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><xsl:template match="*"/></xsl:stylesheet>