<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="op table sp xalan office style svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::op:txtRes)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		
		<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_txtRes_5f__20__3e__20_spaceBeforeSection"/>
		
		<xsl:variable name="vName"><xsl:value-of select="local-name()"/></xsl:variable><xsl:variable name="vTitleContent"/><xsl:variable name="vDataContent"><xsl:choose>
				<xsl:when test="op:txtResM/sp:pos='rgt'"><xsl:for-each select="sp:res"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N16_{codeAgent('//')}_{generate-id()}" category="cprRes"><xsl:variable name="vId">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scOd:title><scOd:data>
								<xsl:variable select="resultatAgent(concat($vContentAgt, '/metaAgt'))" name="vContentAgtN27"/><xsl:value-of select="si($vContentAgtN27, resultatAgent(concat($vContentAgtN27, '_Acredit', '/getContent')))" disable-output-escaping="yes"/>
							</scOd:data></scOd:dataBlock>
						<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N2b_{codeAgent('//')}_{generate-id()}" category="res"><xsl:variable name="vId">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:overrideContentDeclaration><scOd:block.data/></scOd:overrideContentDeclaration><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scOd:title><scOd:data>
								<xsl:variable select="concat($vContentAgt, '_Aright')" name="vContentAgtN41"/><xsl:value-of select="resultatAgent(concat($vContentAgtN41, '/getContent'))" disable-output-escaping="yes"/>
							</scOd:data></scOd:dataBlock>
					</xsl:for-each><xsl:for-each select="sp:txt"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN48"/><xsl:value-of select="resultatAgent(concat($vContentAgtN48, '/getContent'))" disable-output-escaping="yes"/>
					</xsl:for-each></xsl:when>
				<xsl:otherwise><xsl:for-each select="sp:res"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N50_{codeAgent('//')}_{generate-id()}" category="cprRes"><xsl:variable name="vId">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scOd:title><scOd:data>
								<xsl:variable select="resultatAgent(concat($vContentAgt, '/metaAgt'))" name="vContentAgtN61"/><xsl:value-of select="si($vContentAgtN61, resultatAgent(concat($vContentAgtN61, '_Acredit', '/getContent')))" disable-output-escaping="yes"/>
							</scOd:data></scOd:dataBlock>
						<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N65_{codeAgent('//')}_{generate-id()}" category="res"><xsl:variable name="vId">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:overrideContentDeclaration><scOd:block.data/></scOd:overrideContentDeclaration><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scOd:title><scOd:data>
								<xsl:variable select="concat($vContentAgt, '_Aleft')" name="vContentAgtN7b"/><xsl:value-of select="resultatAgent(concat($vContentAgtN7b, '/getContent'))" disable-output-escaping="yes"/>
							</scOd:data></scOd:dataBlock>
					</xsl:for-each><xsl:for-each select="sp:txt"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN82"/><xsl:value-of select="resultatAgent(concat($vContentAgtN82, '/getContent'))" disable-output-escaping="yes"/>
					</xsl:for-each></xsl:otherwise>
			</xsl:choose></xsl:variable><xsl:variable name="vIsTitleMandatory">false</xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($vTitleContent))&gt;0 or string-length(normalize-space($vDataContent))&gt;0"><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:style-name="op_5f_txtRes_5f__5f_bxTxtRes_5f_table" table:name="{$vName}"><table:table-column table:style-name="op_5f_txtRes_5f__5f_bxTxtRes_5f_table.A"/><table:table-row><table:table-cell table:style-name="op_5f_txtRes_5f__5f_bxTxtRes_5f_table.A1"><xsl:if test="string-length(normalize-space($vTitleContent))&gt;0 or $vIsTitleMandatory='true'"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_txtRes_5f__20__3e__20_bxTxtRes_20__3e__20_title"><xsl:value-of disable-output-escaping="yes" select="$vTitleContent"/></text:p></xsl:if><xsl:copy-of select="$vDataContent"/></table:table-cell></table:table-row></table:table></xsl:when><xsl:otherwise><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" text="Bloc ignoré" phase="generation" type="info">Le widget "sm:WBox" de code "bxTxtRes" ne possède pas de contenu.</scOd:error></xsl:otherwise></xsl:choose>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template match="*"/></xsl:stylesheet>