<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="java" version="1.0"><xsl:output encoding="UTF-8" indent="no" method="xml"/><xsl:param name="vDialog"/><xsl:param name="vAgent"/><xsl:template match="*"><html><xsl:comment>
							standard : HTML 4.01 Transitional (Standards mode)
							dialog : <xsl:value-of select="pathDialogAgent($vDialog)"/></xsl:comment><head><xsl:variable name="vWinTitle"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:hGetUri(srcFileAgent('@@')))), '/fullTitleText'))"/> - <xsl:value-of select="intituleAgent($vDialog)"/></xsl:variable><title><xsl:value-of select="normalize-space($vWinTitle)"/></title><meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/><meta http-equiv="Cache-Control" content="no-cache"/><meta http-equiv="Pragma" content="no-cache"/><meta http-equiv="expires" name="Expires" content="Fri, 01 Jan 1990 00:00:00 GMT"/><meta http-equiv="Content-Style-Type" content="text/css"/>
						
						

						<script type="text/JavaScript" >
/*0*/ var scServices = {};
/*1*/ scServices["scLoad"] = {loadFromRoot:function(pUrl){window.location.href="<xsl:value-of select="resolveDestUri2DestUrl(&quot;/&quot;)"/>)"+pUrl;}, getUrlFromRoot:function(pHref){if(!this.fRootOffset) this.fRootOffset = window.location.href.length <xsl:value-of select="1 - java:length(java:getDestUrl(java:hGetPageResultat($vDialog)))"/>; return pHref.substring(this.fRootOffset);}};
</script>

						<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/jslib/scCoLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/jslib/scSiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/jslib/scTiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/jslib/scPaLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/svc/storage.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/jslib/scTooltipMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/jslib/scDragMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/jslib/scDynUiMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/scripts/pres.js')}"></script>
	
<script type="text/JavaScript">scCoLib.fDebug = true;</script><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_c935', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_c717', null)"/><link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl(&quot;/site/styles/home.css&quot;)}" media="all"/><link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl(&quot;/site/styles/outline.css&quot;)}" media="all"/><link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl(&quot;/site/styles/decor.css&quot;)}" media="all"/><link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl(&quot;/site/styles/content.css&quot;)}" media="all"/><link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl(&quot;/site/styles/editor.css&quot;)}" media="all"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_c936', null)"/><script src="{translatePubPath2DestUrl(&quot;/site/scripts/bhv.js&quot;)}" type="text/JavaScript"/><script src="{translatePubPath2DestUrl(&quot;/site/scripts/sizeMgr.js&quot;)}" type="text/JavaScript"/><xsl:text disable-output-escaping="yes"><![CDATA[<script type="text/javascript">

//Gestion des blocs
var vOptions = {};
var vDefaultParams = {}
var vCutBlockParams = {cutBefore:1};
var vHiddenBlockParams = {hidden:true};

function cutIfNotFirst(pParams){
 if(scPresUt.isFirstElt(this.fNode)) pParams.cutBefore = 0;
}

function hiddenIfEmpty(pParams){
 if( ! scPresUt.isFilled(this.fNode)) pParams.hidden = true;
}


 scPresMgr.addBhvBinder(new ScBhvBinderPathBlock("des:.mainContent", {isRootPage:true}, vDefaultParams, hiddenIfEmpty));

//Divisions
 scPresMgr.addBhvBinder(new ScBhvBinderPathBlock("des:.expUcDiv", vOptions , vCutBlockParams, cutIfNotFirst));
 scPresMgr.addBhvBinder(new ScBhvBinderPathBlock("des:.expUcDiv_ti", {uiEditNoCutBefore:true}, vDefaultParams));

//Balises d'intentionalité
 scPresMgr.addBhvBinder(new ScBhvBinderClassesBlock(/\binfo\b|\bdef\b|\bexample\b|\bremark\b|\badvice\b|\bwarning\b|\bmethod\b|\bremind\b|\bbasic\b|\blegal\b|\bsyntax\b/, vOptions, vCutBlockParams, cutIfNotFirst));

//Balises d'intentionalité masquées
 scPresMgr.addBhvBinder(new ScBhvBinderClassesBlock(/\bcomplement\b|\bsimulation\b/, vOptions, vHiddenBlockParams));

//Paragraphes et listes et ressources
 scPresMgr.addBhvBinder(new ScBhvBinderClassesBlock(/\op_txt_tb\b|\bop_txt_p\b|\blnkDoc\b|\bsimu\b/, vOptions, vDefaultParams));
 scPresMgr.addBhvBinder(new ScBhvBinderClassesBlock(/\bop_txt_[io]l\b/, {publishIfNotEmpty:true}, vDefaultParams));
 scPresMgr.addBhvBinder(new ScBhvBinderClassesBlock(/\bop_txt_[io]li\b/, {publishIfNotEmpty:true, uiEditHidden:true}, vDefaultParams));

//Ressources
 scPresMgr.addBhvBinder(new ScBhvBinderClassesBlock(/\bembedInFlow\b/, vOptions, vDefaultParams, null, ScBhvBlockEmbed));
 scPresMgr.addBhvBinder(new ScBhvBinderClassesBlock(/\bembedInline\b/, {captionHeight:0}, vDefaultParams, null, ScBhvBlockEmbed));

 scPresMgr.addBhvBinder(new ScBhvBinderClassesBlock(/\bimgInFlow\b/, vOptions, vDefaultParams, null, ScBhvBlockImg));
 scPresMgr.addBhvBinder(new ScBhvBinderClassesBlock(/\bimgInline\b/, {captionHeight:0}, vDefaultParams, null, ScBhvBlockImg));


</script>]]></xsl:text></head><body><div id="toolsZ" class="toolsHidden"><div id="toolsGrippy" onMouseOver="scPresTools.setToolsBar(true); return false;" onMouseOut="scPresTools.closeToolsBarAfter(500); " title="Outils (touche T)"><div id="toolsBody"><a id="prevBtn" href="#" onclick="scPresMgr.prev();" title="Précédent (touche gauche)"><span>Page précédente</span></a><a id="outlineBtn" href="#" onclick="scPresTools.showOutline(); return false;" title="Plan (touche P)"><span>Plan...</span></a><a id="editBtn" class="editOff" href="#" onclick="scPresTools.toggleEditPage(); return false;" title="Editer (touche E)"><span>Éditer</span></a><a id="resetBtn" href="#" onclick="scPresStor.resetData(); return false;" title="Effacer toute la personnalisation"><span>Réinitialiser</span></a><a id="nextBtn" href="#" onclick="scPresMgr.next();" title="Suivant (touche espace ou droite)"><span>Page suivante</span></a></div></div></div><div id="mainZ"><div id="decor"><div id="titleFrm"><h1 id="title"/></div><xsl:value-of disable-output-escaping="yes" select="resultatAgent($vDialog, 'zone:decor')"/></div><div id="container"><div id="scrollTop" onclick="scrollTiTask.step(-$('container').offsetHeight/10); scrollTiTask.fSpeed-=2;" onmouseover="if(scrollTiTask.fSpeed&gt;=0) {{scrollTiTask.fSpeed=-2; scTiLib.addTaskNow(scrollTiTask);}}" onmouseout="scrollTiTask.fSpeed=0;"><span id="scrollTopLeft"/><span id="scrollTopCenter"/><span id="scrollTopRight"/></div><div id="viewHome"><xsl:value-of disable-output-escaping="yes" select="resultatAgent($vDialog, 'zone:mainZone')"/></div><div id="view1" style="visibility: hidden;"/><div id="view2" style="visibility: hidden;"/><div id="scrollBottom" onclick="scrollTiTask.step($('container').offsetHeight/10); scrollTiTask.fSpeed+=2;" onmouseover="if(scrollTiTask.fSpeed&lt;=0) {{scrollTiTask.fSpeed=2; scTiLib.addTaskNow(scrollTiTask);}}" onmouseout="scrollTiTask.fSpeed=0;"><span id="scrollBottomLeft"/><span id="scrollBottomCenter"/><span id="scrollBottomRight"/></div></div><div id="zoomFrm" style="visibility: hidden;"><div id="zoomH"><a id="zoomClose" href="#" onclick="scPresMgr.displayZoom(false); return false;" title="Fermer le zoom."><span>Fermer</span></a></div><div id="zoom"/></div><div id="editorFrm" style="display: none;"><h1 id="editorTitle"/><div id="editor"/></div><div id="outlineFrm" style="display: none;"><div id="outlineHeader"><a id="outlineCloseBtn" href="#" onclick="scPresTools.hideOutline(); return false;" title="Fermer"><span>X</span></a></div><div id="outline"><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_c937', null)"/></div></div></div><div id="progressBarZ"><table id="progressBarTable"><tr id="progressBarTr"/></table></div><div id="wait"><div class="presWait"><span>Chargement en cours...</span></div></div><div id="poolSrc" style="visibility: hidden;"/></body></html></xsl:template></xsl:stylesheet>