<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc sp" version="1.0"><xsl:output omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param name="vComp"/><xsl:variable select="concat(getIdNode(..), '_Aswitch')" name="vIdObj"/><xsl:template match="*"><script type="text/JavaScript">
var <xsl:value-of select="$vIdObj"/> = {

	fId : "<xsl:value-of select="getIdNode(..)"/>",
	fCurSeq : null,
	initSeq : function(pCodeSeq){
	try {
		if(pCodeSeq==null) return;
		if(this.fCurSeq!=null) this.closeSeq();
		this.fCurSeq = pCodeSeq;
		switch(this.fCurSeq) {

	case "play" : {
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_play"), "visible");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_pending"), "collapsed");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_results"), "collapsed");

		break;
	}

	case "pending" : {
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_play"), "collapsed");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_pending"), "visible");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_results"), "collapsed");

		break;
	}

	case "results" : {
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_play"), "collapsed");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_pending"), "collapsed");
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_results"), "visible");

		break;
	}

		}
	}catch(e){alert("failed:::"+e)};
	},
	onActionN4b : function(pButton){
		if(this.isDisabled(pButton)) return;
scServices.assmntMgr.setCompletionStatus(this.fId, "eval", "attempt"); 
window.location.assign("[![agent=//callModel_N64]!]");

		scServices.assmntMgr.commit();
	},
	onActionN78 : function(pButton){
		if(this.isDisabled(pButton)) return;
window.location.assign("[![agent=//callModel_N89]!]");

		scServices.assmntMgr.commit();
	},
	onActionN91 : function(pButton){
		if(this.isDisabled(pButton)) return;
var vSess="eval";
scServices.assmntMgr.resetResponses(this.fId, vSess);
scServices.assmntMgr.setPts(this.fId, vSess, null, null, null); 
<xsl:for-each select="sp:quiz"><xsl:value-of select="concat(si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '_Areset')"/>.fct_reset(); 
</xsl:for-each>window.location.assign("[![agent=//callModel_Naf]!]");

		scServices.assmntMgr.commit();
	},
	onActionNc3 : function(pButton){
		if(this.isDisabled(pButton)) return;
window.location.assign("[![agent=//callModel_Nd4]!]");

		scServices.assmntMgr.commit();
	},
	onActionNdc : function(pButton){
		if(this.isDisabled(pButton)) return;
var vSess="eval";
scServices.assmntMgr.resetResponses(this.fId, vSess);
scServices.assmntMgr.setPts(this.fId, vSess, null, null, null); 
<xsl:for-each select="sp:quiz"><xsl:value-of select="concat(si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '_Areset')"/>.fct_reset(); 
</xsl:for-each>scServices.assmntMgr.setCompletionStatus(this.fId, "eval", "attempt"); 
window.location.assign("[![agent=//callModel_N102]!]");

		scServices.assmntMgr.commit();
	},
	setMode : function(pElt, pMode){
		if(!pElt) return;
		switch(pMode) {
		case "collapsed" :
			pElt.style.display = "none";
			break;
		case "invisible" :
			pElt.style.display = "";
			pElt.style.visibility = "hidden";
			break;
		case "enabled" : 
			if(pElt.className.indexOf("buttonDisabled")&gt;=0) pElt.className = pElt.className.replace("buttonDisabled", "");
			pElt.setAttribute("href", "#");
		case "disabled" : 
			if(pMode=="disabled") {
				if(pElt.className.indexOf("buttonDisabled")&lt;0) pElt.className = pElt.className+" buttonDisabled";
				pElt.removeAttribute("href");
			}
		default :
			pElt.style.display = "";
			pElt.style.visibility = "";
		}
	},
	isDisabled : function(pButton){
		return pButton==null || pButton.className.indexOf("buttonDisabled")&gt;=0;
	},
	setToggleStatus : function(pButton, pOn){
		if(pButton==null) return;
		if(pOn){ 
			var vIdx = pButton.className.lastIndexOf("toggleButtonOff");
			pButton.className = (vIdx&gt;0 ? pButton.className.substring(0, vIdx) :  pButton.className) + " toggleButtonOn";
		} else {
			var vIdx = pButton.className.lastIndexOf("toggleButtonOn");
			pButton.className = (vIdx&gt;0 ? pButton.className.substring(0, vIdx) :  pButton.className) + " toggleButtonOff";
		}
	},
	isToggleOn : function(pButton){
		return pButton!=null &amp;&amp; pButton.className.indexOf("toggleButtonOn")&gt;=0;
	},
	
	closeSeq: function(){
		vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		switch(this.fCurSeq) {

	case "play" : {

		break;
	}

	case "pending" : {

		break;
	}

	case "results" : {

		break;
	}

		}
		this.fCurSeq = null;
	},
	getOnLoadSeq:function() {

			if(scServices.assmntMgr.getCompletionStatus(this.fId, "eval") == "notAttempt" &amp;&amp; true) return "play";

			if(scServices.assmntMgr.getCompletionStatus(this.fId, "eval") == "attempt" &amp;&amp; true) return "pending";

			return "results";

	return null;
	},

	
	refreshScoresFeedbacks : function(){

	},
	onLoad: function(){
		this.initSeq(this.getOnLoadSeq()); 
		var vNodeRoot = document.getElementById("<xsl:value-of select="$vIdObj"/>_A");
		vNodeRoot.style.display = "block"; 
	},
	onUnload: function(){
		this.closeSeq();
	},
	loadSortKey: "B",
	unloadSortKey: "B"
};

scOnLoads[scOnLoads.length] = <xsl:value-of select="$vIdObj"/>;
scOnUnloads[scOnUnloads.length] = <xsl:value-of select="$vIdObj"/>;
</script><div style="display:none;" id="{$vIdObj}_A"><div id="{$vIdObj}_N_play"><p>Vous allez à présent effectuer une série de quiz.</p><p>Une synthèse vous sera présentée à la fin de cette série de quiz.</p><p><a onclick="{$vIdObj}.onActionN4b(this); return false;" href="#" title="Commencer l&apos;évaluation..." class="btnStartE "><span>Commencer le test...</span></a></p></div><div id="{$vIdObj}_N_pending"><p>Vous avez déjà commencé ce test.</p><p> Vos réponses ont été conservées. Vous pouvez les revoir et poursuivre le test ou les effacer et recommencer le test.</p><p><a onclick="{$vIdObj}.onActionN78(this); return false;" href="#" title="Reprendre le test..." class="btnStartE "><span>Reprendre le test...</span></a><a onclick="{$vIdObj}.onActionN91(this); return false;" href="#" title="Effacer et recommencer le test..." class="btnRestartE "><span>Effacer et recommencer le test...</span></a></p></div><div id="{$vIdObj}_N_results"><p>Vous avez déjà réalisé ce test.</p><p> Vous pouvez de nouveau consulter vos résultats ou effacer vos réponses et recommencer le test.</p><p><a onclick="{$vIdObj}.onActionNc3(this); return false;" href="#" title="Afficher les résultats..." class="btnScoreE "><span>Afficher les résultats...</span></a><a onclick="{$vIdObj}.onActionNdc(this); return false;" href="#" title="Effacer et recommencer le test..." class="btnRestartE "><span>Effacer et recommencer le test...</span></a></p></div></div></xsl:template></xsl:stylesheet>